## org.mortbay.jetty.win32service
Class JettyServiceWrapperListener

    java.lang.Object
      org.mortbay.jetty.win32service.JettyServiceWrapperListener

All Implemented Interfaces:
  org.tanukisoftware.wrapper.WrapperListener

    public class JettyServiceWrapperListener

extends Object
implements org.tanukisoftware.wrapper.WrapperListener

Constructor Summary
`JettyServiceWrapperListener()`

Method Summary
`void` `controlEvent(int event)`
`static Server` `getServer()`
`static void` `main(String[] args)`
`static void` `setServer(Server server)`
`Integer` `start(String[] args)`
`int` `stop(int code)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyServiceWrapperListener

    public JettyServiceWrapperListener()

Method Detail

### controlEvent

    public void controlEvent(int event)

  Specified by:
    `controlEvent` in interface `org.tanukisoftware.wrapper.WrapperListener`

### start

    public Integer start(String[] args)

  Specified by:
    `start` in interface `org.tanukisoftware.wrapper.WrapperListener`

### stop

    public int stop(int code)

  Specified by:
    `stop` in interface `org.tanukisoftware.wrapper.WrapperListener`

### setServer

    public static void setServer(Server server)

### getServer

    public static Server getServer()

### main

    public static void main(String[] args)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.